Productsup

Switch run timeout tier for connector version.

Switch run timeout tier for connector version. Any update to the connector will move the deployed version out of sync with the configuration. The new run timeout tier takes effect only after the version is rebuilt and synchronized with the runtime.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/execution-config/run-timeout-tier

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

run-timeout-tier*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/execution-config/run-timeout-tier" \  -H "Content-Type: application/json" \  -d '{    "run-timeout-tier": "long"  }'
{
  "message": "Connector version run timeout tier switched.",
  "resource": "connector-version",
  "data": {
    "name": "sauer.com",
    "description": null,
    "readme": null,
    "version": "1.0.1",
    "logo": null,
    "created-at": "2026-10-06T07:56:01+02:00",
    "updated-at": "2026-10-06T07:56:01+02:00",
    "deleted-at": null,
    "state": "updated",
    "config": {
      "update-progress": [
        "application-config",
        "vcs-config"
      ],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": null,
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "run-timeout-tier": "long",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": {
        "categories": []
      },
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": null,
      "project": null,
      "executable": null,
      "platform-connector": null,
      "site": null,
      "site-processing-cluster": null,
      "assigned-to-site": null,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "6.9.87"
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": null,
      "target-accounts": [],
      "target-projects": [],
      "target-sites": [],
      "enabled-for-accounts": [],
      "enabled-for-projects": [],
      "enabled-for-sites": [],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "6.9.87"
      }
    },
    "prod_config": {
      "update-progress": [],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": null,
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "run-timeout-tier": "standard",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": {
        "categories": []
      },
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "dev_config": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "run-timeout-tier": "Invalid run timeout tier provided. Valid options are: \"short\", \"standard\", \"long\"."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector does not have specified version."
}